CREATE TABLE grc_attachment_b (
    ATTACHMENT_ID            NUMBER(18, 0) ,
    OBJECT_TYPE_CODE         VARCHAR2(120)     NOT NULL,
    OBJECT_ID                NUMBER(18, 0)     NOT NULL,
    EFFECTIVE_SEQUENCE       NUMBER            NOT NULL,
    ATTACHMENT_TYPE          VARCHAR2(120)     NOT NULL,
    DOCUMENT_ID              NUMBER(18, 0) ,
    FOLDER_PATH              VARCHAR2(4000),
    FILE_NAME                VARCHAR2(1020),
    CONTENT_LENGTH           NUMBER        ,
    MIME_TYPE                VARCHAR2(400) ,
    GRC_CONTENT_TYPE         VARCHAR2(120) ,
    URL                      VARCHAR2(4000),
    REVISION_DATE            TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    URI                      VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ATTACHMENT_ID            NUMBER(18, 0) ,
    OBJECT_TYPE_CODE         VARCHAR2(120)     NOT NULL,
    OBJECT_ID                NUMBER(18, 0)     NOT NULL,
    EFFECTIVE_SEQUENCE       NUMBER            NOT NULL,
    ATTACHMENT_TYPE          VARCHAR2(120)     NOT NULL,
    DOCUMENT_ID              NUMBER(18, 0) ,
    FOLDER_PATH              VARCHAR2(4000),
    FILE_NAME                VARCHAR2(1020),
    CONTENT_LENGTH           NUMBER        ,
    MIME_TYPE                VARCHAR2(400) ,
    GRC_CONTENT_TYPE         VARCHAR2(120) ,
    URL                      VARCHAR2(4000),
    REVISION_DATE            TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    URI                      VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_grc_attachment_b PRIMARY KEY (ATTACHMENT_ID, ATTACHMENT_ID)
);
